## com.puppycrawl.tools.checkstyle
Class PackageNamesLoader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.puppycrawl.tools.checkstyle.api.AbstractLoader
              com.puppycrawl.tools.checkstyle.PackageNamesLoader

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public final class PackageNamesLoader

extends AbstractLoader

Loads a list of package names from a package name XML file.

Version:
  4-Dec-2002
Author:
  Rick Giles

Method Summary
`void` `endElement(String aNamespaceURI, String aLocalName, String aQName)`
`static ModuleFactory` `loadModuleFactory(ClassLoader aClassLoader)` Returns the default list of package names.
`static ModuleFactory` `loadModuleFactory(String aFilename)` Returns the package names in a specified file.
`void` `startElement(String aNamespaceURI, String aLocalName, String aQName, Attributes aAtts)`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractLoader
`error, fatalError, parseInputSource, resolveEntity, warning`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### startElement

    public void startElement(String aNamespaceURI,
                             String aLocalName,
                             String aQName,
                             Attributes aAtts)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String aNamespaceURI,
                           String aLocalName,
                           String aQName)

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`

### loadModuleFactory

    public static ModuleFactory loadModuleFactory(ClassLoader aClassLoader)
                                           throws CheckstyleException

  Returns the default list of package names.

  Parameters:
    `aClassLoader` - the class loader that gets the default package names.
  Returns:
    the default list of package names.
  Throws:
    `CheckstyleException` - if an error occurs.

### loadModuleFactory

    public static ModuleFactory loadModuleFactory(String aFilename)
                                           throws CheckstyleException

  Returns the package names in a specified file.

  Parameters:
    `aFilename` - name of the package file.
  Returns:
    the list of package names stored in the package file.
  Throws:
    `CheckstyleException` - if an error occurs.

Back to the Checkstyle Home Page